Bug 185517 - auth-as-self should be used in Gnome "System->Administration->..." menus
auth-as-self should be used in Gnome "System->Administration->..." menus
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-03-15 09:10 EST by Uno Engborg
Modified: 2008-06-16 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2006-03-15 09:10:10 EST
Description of problem:

In large Linux installations you often have a need for more than one
person doing administrative tasks. These admins should typically not
all have access to the root password, as this makes it hard to log
who made the changes or the helping admins shouldn't have full root
priviledges. So they use sudo.

Unfortunately the Gnome "System->Administraion->..." tools all ask
for rhe root password to be run. They should support sudo.

Ubuntu allready does this, perhaps you could borrow some code from
them.  Changeing this behavior would make Fedora much more "Enterprise ready"

Related bug in the gnome bugzilla is 309672

Version-Release number of selected component (if applicable):
Gnome 2.x
Comment 1 Dimitris Glezos 2006-05-09 16:02:58 EDT

This is important to many workstations at companies and universities. Most of
the times people are not given the root password; instead they are just sudo'ed.

To open up a GUI as root (say, gedit /etc/foo), one should do:

> xhost +root (or even worse, xhost +)
> sudo gedit ...
> (...wait until the window opens up)
> xhost -

(probably there is an easier way, but still, it's far more difficult than the
default behaviour of consolehelper that Uno Engborg described).

Fedora, *in addition* to consolehelper, should support administrative tasks
using the sudo environment. Both in the menus and for commands.

Commands should support something like gtksu (never tried it, since it is not
included in Extras!). Users should have the option to choose the portable
consolehelper *or* the applicable sudo-way.
Comment 2 Matthew Miller 2006-07-25 14:08:09 EDT
From a message I posted on the FE list:

Put the user in the group "wheel". Put "UGROUPS=wheel" in the corresponding
consolehelper config file. Presto -- sudo-like behavior. (Any group can be used;
doesn't have to be wheel -- that's just traditional for this sort of thing.)

(But the policykit approach is the best for the future -- running GUI apps
as root is just asking for trouble.)
Comment 3 Edward Rudd 2006-10-17 15:06:54 EDT
the UGROUPS=groupname does work (really nice), however the issue is I have to
set it for EVERY single service as I saw no global config file that could set
the default for ALL services.
Comment 4 Matthew Miller 2006-10-17 17:29:10 EDT
In the future, some sort of dbus-based system will do this in a more secure way,
with administrative tasks accomplished without ever having to run GUI code as
root. Because of that, it's unlikely that much more development work will be
invested here.

In the meantime, if you want to enble this for all programs,  you could do
something like:

for f in $( find /etc/security/console.apps/ -type f ); do
   echo "UGROUPS=groupname" >> $f

Comment 5 Matthew Miller 2007-04-06 12:12:35 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Uno Engborg 2007-06-19 19:23:33 EDT
This is still a problem in the latest fedora version
Comment 7 Uno Engborg 2007-06-19 19:27:00 EDT
Thanks to all of you that have provided work arounds. The problem is that they
are too complex for most people to handle. This probably needs to be handled in
a GUI.
Comment 8 Matthew Miller 2007-06-19 20:01:35 EDT
Changing the subject to be more generic -- sudo isn't the only way of doing this.
(See my previous comments.)
Comment 9 Bug Zapper 2008-05-14 07:59:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:11:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.